cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
12,290 Views
Registered: ‎08-24-2016

ERROR:Simulator:861 - Failed to link the design

Hello,

I found the following problem:

 

ERROR:Simulator:861 - Failed to link the design
Process "Simulate Behavioral Model" failed

 

it was running on  machine with winxp, ise 12.1

Can anyone help to solve it ?

Best Regads,

Marc

0 Kudos
Reply
5 Replies
vijayak
Xilinx Employee
Xilinx Employee
12,285 Views
Registered: ‎10-24-2013

Hi marcin.madeja@sigarden.com

Try creating the project from scratch and see if that helps.

Also,

1. Can you try running ISIM in command line mode.
2. Try runnning ISIM in 32-bit mode (Start --> All programs --> Xilinx Design Tools --> ISE Design Suite 12.1 --> 32-bit Project Navigator)

Thanks,Vijay
--------------------------------------------------------------------------------------------
Please mark the post as an answer "Accept as solution" in case it helped resolve your query.
Give kudos in case a post in case it guided to the solution.
0 Kudos
Reply
balkris
Xilinx Employee
Xilinx Employee
12,273 Views
Registered: ‎08-01-2008

This error can occur if an ISim simulation session is running while attempting to re-compile the design for simulation. This typically occurs if the user has left an ISim simulation session running, revises the HDL in the design, and runs "Simulate Behavioral Model" from Project Navigator.

To resolve this error, please terminate the simulator executable (<testbench>_isim_beh.exe) using the Task Manager or a process viewer.

To reduce the risk of running into this error, please close any open ISim sessions prior to launching any new simulation sessions.

This issue is currently under investigation in order to better address this condition in a future release of the ISE Simulator.
Thanks and Regards
Balkrishan
--------------------------------------------------------------------------------------------
Please mark the post as an answer "Accept as solution" in case it helped resolve your query.
Give kudos in case a post in case it guided to the solution.
0 Kudos
Reply
balkris
Xilinx Employee
Xilinx Employee
12,273 Views
Registered: ‎08-01-2008

I would recomend you to use ISE 14.7 or vivado latest version

ISE 12.1 is obsolete version and not recommended to use

 

ISE also support third party simulator like VCS , Modelsim, questa . You can alternate simulator .

 

 

Thanks and Regards
Balkrishan
--------------------------------------------------------------------------------------------
Please mark the post as an answer "Accept as solution" in case it helped resolve your query.
Give kudos in case a post in case it guided to the solution.
0 Kudos
Reply
nupurs
Moderator
Moderator
12,249 Views
Registered: ‎06-24-2015

marcin.madeja@sigarden.com,

 

Which ISE version is it failing with?
Make sure you use one of the supported OS for that version of ISE.

 

It is always better to go for the latest version i.e. ISE 14.7 and use supported OS.

Thanks,
Nupur
--------------------------------------------------------------------------------------------
Google your question before posting. If someone's post answers your question, mark the post as answer with "Accept as solution". If you see a particularly good and informative post, consider giving it Kudos (click on the 'thumbs-up' button).
0 Kudos
Reply
vijayak
Xilinx Employee
Xilinx Employee
12,187 Views
Registered: ‎10-24-2013

Hi marcin.madeja@sigarden.com

Did you get the issue resolved?

Let us know if you need help.

Thanks,Vijay
--------------------------------------------------------------------------------------------
Please mark the post as an answer "Accept as solution" in case it helped resolve your query.
Give kudos in case a post in case it guided to the solution.
0 Kudos
Reply